# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models
from datetime import datetime


class AccountInvoice(models.Model):
    _inherit = 'account.invoice'

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    vracoop_point_retrait_id = fields.Many2one(
        comodel_name='vracoop.point.retrait',
        string="Point retrait")
    day_retrait = fields.Date("Jour du retrait")
    hour_retrait = fields.Float("Heure du retrait")
    carrier_point_retrait = fields.Boolean(
        string='Est un point retrait')

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
