# Copyright 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).


from odoo import api, fields, models, _


class SaleAdvancePaymentInv(models.TransientModel):
    _inherit = "sale.advance.payment.inv"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    @api.multi
    def _create_invoice(self, order, so_line, amount):
        inv = super(SaleAdvancePaymentInv, self)._create_invoice(order, so_line, amount)
        inv.write({
            'vracoop_point_retrait_id': order.vracoop_point_retrait_id.id,
            'day_retrait': order.day_retrait,
            'hour_retrait': order.hour_retrait,
            'carrier_point_retrait': order.carrier_point_retrait
        })
        return inv
    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
